addEcholinkClock(data: AddEcholinkClockParams)

Requires:
@tuya-miniapp/cloud-api≥1.7.3

Description

Add a device alarm

Parameters

ParameterTypeRequiredDescription
YesPOST request body parameters, encapsulated by Highway and sent in the body

Return Value

Type: Promise<boolean>
Indicates whether the operation succeeded; the result may be false

Examples

Request example

import { addEcholinkClock } from '@tuya-miniapp/cloud-api';

addEcholinkClock({
  deviceId: '6c2d6c752e72653f12yvh1',
  time: '17:45',
  date: '20261014',
  loops: '0000000',
  timeZoneId: '+08:00',
}).then(result => {
  console.log(result);
});

Response example

true